Indexly
Validate API Key
Validate an API key and get associated organization details. Use this to verify your key before making other requests.
Request
GET /api/v1/validate
Example cURL Request
curl --request GET \
--url 'https://app.indexly.ai/api/v1/validate' \
--header 'X-API-Key: YOUR_API_KEY'
Response
HTTP Status Code
200
Response Body
{
"valid": true,
"keyType": "organization",
"organization": {
"id": "69b103d8014d4ba306eab519",
"name": {
"id": "69b2c95ae0415ea27f9e8238",
"key": "idx_3cc0...",
"organizationId": "69b103d8014d4ba306eab519",
"userId": "69b103d8014d4ba306eab517",
"createdAt": "2026-03-12T14:10:34.648Z",
"lastUsedAt": null,
"organization": {
"id": "69b103d8014d4ba306eab519",
"name": "My Organization"
}
}
},
"apiKey": {
"id": "69b2c95ae0415ea27f9e8238",
"key": "idx_3cc0...",
"createdAt": "2026-03-12T14:10:34.648Z",
"lastUsedAt": "2026-03-18T06:26:56.085Z"
}
}
Authorizations
X-API-Key: string, header, required
API key for authentication. Get yours from the Indexly dashboard under Settings → API Access.
Response Format
200 application/json
Default Response:
- valid: boolean, required — Whether the API key is valid.
- keyType: string — Type of the API key.
- organization: object — Organization details.
- apiKey: object — API key metadata including the created key details.